Bug 284121 - getfattr -R follow symlinks
getfattr -R follow symlinks
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: attr (Show other bugs)
7
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Zdenek Prikryl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-09 16:42 EDT by Doug Mitchell
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 2.4.32-3.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-09 18:49:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Doug Mitchell 2007-09-09 16:42:10 EDT
Description of problem:
getattr -R is following symlinks like getattr -L

Version-Release number of selected component (if applicable):
attr-2.4.32-2.fc7.x86_64

How reproducible:
getfattr -Rd $HOME

Steps to Reproduce:
1. Make a symlink in $HOME pointing to /
2. getfattr -Rd $HOME
3. Watch it start checking things in /usr
  
Actual results:
Follows symlinks

Expected results:
Should not follow symlinks unless -L is specified

Additional info:
Comment 1 Doug Mitchell 2007-09-09 16:43:11 EDT
Oops, please s/getattr/getfattr/g above

Comment 2 Fedora Update System 2007-11-06 11:11:11 EST
attr-2.4.38-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2007-11-09 18:49:52 EST
attr-2.4.32-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.